<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <style>
      .sidebar {
        position: fixed;
        top: 0;
        left: 0;
        height: 100vh;
        width: 300px;
        background-color: green;
      }

      .content {
        margin-left: 300px;
      }

      .modal-body {
        background-color: white;
        margin: auto;
        height: 30%;
        width: 30%;
      }

      .modal {
        height: 100%;
        width: 100%;
        position: fixed;
        background-color: grey;
        left: 0;
        top: 0;
        z-index: 10;
      }

      .positioned {
        position: relative;
        z-index: 0;
      }
    </style>
  </head>
  <body>
    <div class="positioned">
      <div class="modal">
        <div class="modal-body">
          <h1>I am a modal</h1>
        </div>
      </div>
    </div>
    <div class="sidebar">I am a sidebar</div>
    <div class="content">
      <h1>I am some content</h1>
    </div>
  </body>
</html>
